%define upstream_name    Dist-Zilla-Plugin-Test-Pod-No404s
%define upstream_version 1.004

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Add release tests for POD HTTP links
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla::Plugin::InlineFiles)
BuildRequires: perl(Dist::Zilla::Role::PrereqSource)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Moose)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Pod::No404s) >= 0.10.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This is an extension of the Dist::Zilla::Plugin::InlineFiles manpage
providing the following files:

  xt/release/pod-no404s.t - a standard Test::Pod::No404s test

You can skip the test by setting '$ENV{SKIP_POD_NO404S}' or
'$ENV{AUTOMATED_TESTING}'.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.4.0-3.mga8
+ Revision: 1504196
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 1.4.0-2.mga7
+ Revision: 1283348
- Mageia 7 Mass Rebuild

* Wed Oct 04 2017 tv <tv> 1.4.0-1.mga7
+ Revision: 1168405
- update to 1.004

* Sun Jun 19 2016 pterjan <pterjan> 1.2.0-2.mga6
+ Revision: 1026607
- Rebuild for perl 5.22.2

* Sat Jan 02 2016 shlomif <shlomif> 1.2.0-1.mga6
+ Revision: 918332
- Importing from cpan2pkg


* Mon Dec 28 2015 cpan2dist 1.002-1mga
- initial mageia release, generated with cpan2dist
